<?php
/**
 * @package     itoctopus
 * @subpackage  httpheader.itoctopus
 *
 * @copyright   Copyright (C) 2017 itoctopus ( http://www.itoctopus.com ). All rights reserved.
 * @description This plugin will set the Last-Modified HTTP header to the modification date of the current article. Developed by itoctopus - http://www.itoctopus.com .
 * @author   	itoctopus
 * @date   		4:23 PM 24/08/2017
 * @location   	Montreal, QC, Canada
 * @license     Free
 * @Disclaimer  This plugin is provided as is. You cannot hold itoctopus, its affiliates, or any of its developers liable for any issue resulting from the use of this plugin, whether that issue is directly or indirectly caused by this plugin. You are using this plugin at your own risk.
 */

defined('_JEXEC') or die;

class PlgSystemLastModifiedHTTPHeader extends JPlugin
{

	protected $app;

	private function setHeader($name,$value) {
		$this->app = JFactory::getApplication();
		$this->app->setHeader($name,$value,true);
	}

	/**
	 * Convert the site URL to fit to the HTTP request.
	 *
	 * @return  void
	 */
	public function onAfterInitialise()
	{
		if (!$this->app->isClient('site'))
		{
			return;
		}
		
		$currentView =JFactory::getApplication()->input->get('view');
		$currentOption =JFactory::getApplication()->input->get('option');
		if ($currentView == 'article' && $currentOption == 'option'){
			$currentArticleID = JFactory::getApplication()->input->get('id');
			$sql = "SELECT `modified` FROM `#__content WHERE `id`='".$currentArticleID."'";
			$db->setQuery($sql);
			$strDateModified = $db->loadResult();
			$objDateModified = new JDate($strDateModified);
			$strDateModified = $objDateModified->format('D, d M Y H:i:s').' GMT';
			$this->setHeader('Last-Modified', $strDateModified, true);
			$this->setHeader('Expires', 'Wed, 17 Aug 2005 00:00:00 GMT', true);
			$this->setHeader('Cache-Control', 'no-store, no-cache, must-revalidate, post-check=0, pre-check=0', false);
			$this->setHeader('Pragma', 'no-cache');
			$this->app->sendHeaders();
			echo('<!DOCTYPE html>');
		}
	}
}